﻿@model IEnumerable<TopicViewModel>

<div class="card-text shadow border-0 mt-4">
    <div class="card-header bg-primary ml-0 p-3">
        <div class="row">
            <div class="col-6 text-end">
                <h2 class="text-white py-2">Topic List</h2>
            </div>
            <div class="col-6 mt-3 text-end">
                <a asp-controller="Topic" asp-action="AddTopic" class="btn btn-secondary"><i class="bi bi-plus-lg"></i> New Topic</a>
            </div>
        </div>
    </div>
    <div class="card-body p-3">
        <table id="tblData" class="table table-hover" style="width:100%">
            <thead>
                <tr>
                    <th>@Html.DisplayNameFor(model => model.Name)</th>
                    <th>Count</th>
                    <th></th>
                </tr>
            </thead>
            <tbody>

                @foreach (var topic in @Model)
                {
                    <tr>
                        <td>@Html.DisplayFor(modelItem => topic.Name)</td>
                        <td>@topic.QuestionsCount</td>
                        <td class="text-end">
                            <a asp-controller="Topic" asp-action="UpdateTopic" asp-route-id="@topic.Id" asp-route-name="@topic.Name" title="Update" class="btn btn-primary">
                                <i class="bi bi-pencil-square"></i>
                            </a>
                            <a asp-controller="Topic" asp-action="DeleteTopic" asp-route-id="@topic.Id" title="Delete" class="btn btn-primary">
                                <i class="bi bi-trash-fill"></i>
                            </a>
                        </td>
                    </tr>
                }
            </tbody>
        </table>

    </div>
</div>

@section Scripts{
    <script src="~/js/section.js"></script>
}